Bug 230730 - Review the awk(1) manpage (make sure that it is up to date)
Summary: Review the awk(1) manpage (make sure that it is up to date)
Status: New
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on: 226112 247004
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-18 10:02 UTC by Mateusz Piotrowski
Modified: 2020-06-13 16:32 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2018-08-18 10:02:49 UTC
It looks like the awk manual page requires a review. It documents nonexistent flags like -V and possibly has more mistakes like this.  

Reported by Samy Mahmoudi at freebsd-current@ (https://lists.freebsd.org/pipermail/freebsd-current/2018-July/070298.html).
Comment 1 Jamie Landeg-Jones 2018-08-19 05:13:59 UTC
Also, please see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=226112
Comment 2 Samy Mahmoudi 2018-08-19 09:26:05 UTC
Thank you for this.

By the way, I noticed that the NetBSD manual seems up to date as far as -version is concerned.
Comment 3 Samy Mahmoudi 2020-06-13 12:41:41 UTC
Some improvements today with revision 362147:
awk(1): use -version instead of -V

Could you add a dependency on bug 247004?
Comment 4 Yuri Pankov freebsd_committer 2020-06-13 13:38:55 UTC
-V is taken care of in bug #247004.
Comment 5 Samy Mahmoudi 2020-06-13 16:32:28 UTC
(In reply to Yuri Pankov from comment #4)
Thanks Yuri ;-)